MyGUI::DataMemoryStream Class Reference

`#include <MyGUI_DataMemoryStream.h>`

Inheritance diagram for MyGUI::DataMemoryStream:
[legend]

## Public Member Functions

| DataMemoryStream ()
| DataMemoryStream (unsigned char *_data, size_t _size)
| ~DataMemoryStream () override
bool | eof () override
size_t | size () override
void | readline (std::string &_source, Char _delim) override
size_t | read (void *_buf, size_t _count) override
Public Member Functions inherited from MyGUI::IDataStream
virtual | ~IDataStream ()=default

## Protected Attributes

unsigned char * | mData
size_t | mSize
std::stringstream * | mStream

## Detailed Description

Definition at line 16 of file MyGUI_DataMemoryStream.h.

## Constructor & Destructor Documentation

## DataMemoryStream() [1/2]

MyGUI::DataMemoryStream::DataMemoryStream | ( |  | ) |

Definition at line 13 of file MyGUI_DataMemoryStream.cpp.

## DataMemoryStream() [2/2]

MyGUI::DataMemoryStream::DataMemoryStream | ( | unsigned char * | _data,
|  | size_t | _size )

Definition at line 20 of file MyGUI_DataMemoryStream.cpp.

## ~DataMemoryStream()

MyGUI::DataMemoryStream::~DataMemoryStream | ( |  | ) |

override

Definition at line 27 of file MyGUI_DataMemoryStream.cpp.

## Member Function Documentation

## eof()

bool MyGUI::DataMemoryStream::eof | ( |  | ) |

override virtual

Implements MyGUI::IDataStream.

Definition at line 37 of file MyGUI_DataMemoryStream.cpp.

## read()

size_t MyGUI::DataMemoryStream::read | ( | void * | _buf,
|  | size_t | _count )

override virtual

Implements MyGUI::IDataStream.

Definition at line 53 of file MyGUI_DataMemoryStream.cpp.

## readline()

void MyGUI::DataMemoryStream::readline | ( | std::string & | _source,
|  | Char | _delim )

override virtual

Implements MyGUI::IDataStream.

Definition at line 45 of file MyGUI_DataMemoryStream.cpp.

## size()

size_t MyGUI::DataMemoryStream::size | ( |  | ) |

override virtual

Implements MyGUI::IDataStream.

Definition at line 32 of file MyGUI_DataMemoryStream.cpp.

## Field Documentation

## mData

unsigned char* MyGUI::DataMemoryStream::mData

protected

Definition at line 32 of file MyGUI_DataMemoryStream.h.

## mSize

size_t MyGUI::DataMemoryStream::mSize

protected

Definition at line 33 of file MyGUI_DataMemoryStream.h.

## mStream

std::stringstream* MyGUI::DataMemoryStream::mStream

protected

Definition at line 34 of file MyGUI_DataMemoryStream.h.

The documentation for this class was generated from the following files:

- MyGUI_DataMemoryStream.h
- MyGUI_DataMemoryStream.cpp